<?php

/*
-----------------------------------
Текущий язык сайта для пользователя
-----------------------------------
*/

IF (EMPTY(COOKIE('LANGUAGE'))){
  
  DEFINE('LANGUAGE', CONFIG('LANGUAGE')); 
  
}ELSE{

  $clang = FILTER_INPUT(INPUT_COOKIE, 'LANGUAGE', FILTER_SANITIZE_ENCODED);
  
  IF (IS_FILE(ROOT.'/system/languages/config/'.$clang.'.ini')){
    
    DEFINE('LANGUAGE', $clang);
    
  }ELSE{
    
    DEFINE('LANGUAGE', CONFIG('LANGUAGE'));
  
  }
  
}

CONFIG('LANGUAGE', LANGUAGE);

?>